org.apache.axiom.attachments

## Class IncomingAttachmentStreams

- java.lang.Object
- - org.apache.axiom.attachments.IncomingAttachmentStreams

-     public abstract class IncomingAttachmentStreams
      extends Object

  Container for AttachmentStream s. This class provides an SwA like access mechanism, allowing applications to access the streams directly. Access it intentionally restrictred to either SwA like (stream access), or MTOM like (part/data handler access via blob id), not both.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `_readyToGetNextStream` Boolean indicating weather or not the next stream can be read (next stream cannot be read until previous is consumed

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IncomingAttachmentStreams()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract IncomingAttachmentInputStream` | `getNextStream()` Returns the next attachment stream in sequence.
    `boolean` | `isReadyToGetNextStream()`
    `protected void` | `setReadyToGetNextStream(boolean ready)` Set the ready flag.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _readyToGetNextStream

          protected boolean _readyToGetNextStream

      Boolean indicating weather or not the next stream can be read (next stream cannot be read until previous is consumed

  - ### Constructor Detail

    - #### IncomingAttachmentStreams

          public IncomingAttachmentStreams()

  - ### Method Detail

    - #### isReadyToGetNextStream

          public final boolean isReadyToGetNextStream()

      Returns:
        True if the next stream can be read, false otherwise.

    - #### setReadyToGetNextStream

          protected final void setReadyToGetNextStream(boolean ready)

      Set the ready flag. Intended for the inner class to use.
      Parameters:
        `ready` -

    - #### getNextStream

          public abstract IncomingAttachmentInputStream getNextStream()
                                                               throws OMException

      Returns the next attachment stream in sequence.
      Returns:
        The next stream or null if no additional streams are left.
      Throws:
        `OMException`

Copyright © The Apache Software Foundation. All Rights Reserved.